package com.mortals.xhx.common.pdu.window;

import com.mortals.framework.model.BaseEntityLong;
import lombok.Data;

@Data
public class WindowPdu extends BaseEntityLong {
    /**
     * 站点ID
     */
    private Long siteId;
    /**
     * 站点名称
     */
    private String siteName;
    /**
     * 部门ID
     */
    private Long deptId;
    /**
     * 部门名称
     */
    private String deptName;
    /**
     * 窗口名称
     */
    private String name;
    /**
     * 英语窗口名
     */
    private String englishName;
    /**
     * 区域
     */
    private String region;
    /**
     * 英语区域
     */
    private String englishRegion;
    /**
     * 窗口编号
     */
    private String fromnum;
    /**
     * 红旗窗口 (1.是，0.否)
     */
    private Integer hongqi;
    /**
     * 无人值守(1.是)
     */
    private Integer duty;
    /**
     * 显示内容
     */
    private String dutyContent;
    /**
     * 显示英文
     */
    private String dutyEnglish;
    /**
     * 备注
     */
    private String summary;
    /**
     * 楼栋
     */
    private Integer building;
    /**
     * 楼层
     */
    private Integer level;
    /**
     * 名称描述
     */
    private String nameDesc;
    /**
     * 英文名称描述
     */
    private String englishNameDesc;

    /**
     * 大厅ID
     */
    private Long hallId;
    /**
     * 大厅名称
     */
    private String hallName;

}
