package com.mortals.xhx.module.check.web;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.check.model.CheckWindowWorkmanPerformEntity;
import com.mortals.xhx.module.check.service.CheckWindowWorkmanPerformService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
import com.mortals.xhx.common.code.*;
/**
*
* 窗口人员考核汇总核查
*
* @author zxfei
* @date 2024-01-17
*/
@RestController
@RequestMapping("check/window/workman/perform")
public class CheckWindowWorkmanPerformController extends BaseCRUDJsonBodyMappingController<CheckWindowWorkmanPerformService,CheckWindowWorkmanPerformEntity,Long> {

    @Autowired
    private ParamService paramService;

    public CheckWindowWorkmanPerformController(){
        super.setModuleDesc( "窗口人员考核汇总核查");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "manageCheckResult", WindowCheckResultEnum.getEnumMap());
        this.addDict(model, "checkStatus", CheckStatusEnum.getEnumMap());
        super.init(model, context);
    }


}